

#define I2C_PORT   PORTB
#define I2C_PIN    PINB
#define I2C_DDR    DDRB
#define I2C_SDA    (1<<PB3)
#define I2C_SCL    (1<<PB4)
#define I2C_DS75_BASE 0x48
#define I2C_READ 1
#define I2C_WRITE 0


#define I2C_DELAY 40
#define I2C_DELAY2 40

void I2C_Init(void);

uint8_t I2C_Write(uint8_t data);
uint8_t I2C_Read(uint8_t nak);

void I2C_Stop(void);
uint8_t I2C_Start(uint8_t addr, uint8_t action);
